Uploaded image for project: 'Kuali Rice Development'
  1. Kuali Rice Development
  2. KULRICE-10638

Rice is pulling in multiple versions of the commons-chain artifact

    Details

    • Type: Bug Fix
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 2.3
    • Fix Version/s: Backlog
    • Component/s: Configuration
    • Security Level: Public (Public: Anyone can view)
    • Labels:
    • Rice Module:
      Rice Core
    • KAI Review Status:
      Not Required
    • KTI Review Status:
      Not Required
    • Code Review Status:
      Not Required
    • Include in Release Notes?:
      Yes

      Description

      Rice 2.3.0 appears to be pulling in the 1.1 and 1.2 versions of the commons-chain transitive dependency, since I can see both in the expanded Rice WAR after overlaying it. I believe the culprit is the velocity-tools 2.0 dependency, which appears to depend on commons-chain 1.1. If this is the only artifact pulling in the older JAR, then configuring its dependency entry in the Rice POM(s) to exclude commons-chain 1.1 may be sufficient to fix this.

        Attachments

          Activity

          There are no comments yet on this issue.

            People

            • Assignee:
              Unassigned
              Reporter:
              chagstrom Chad Hagstrom
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: